Bug 3560 - Bsfilter marking everything as spam
Summary: Bsfilter marking everything as spam
Status: RESOLVED FIXED
Alias: None
Product: Claws Mail (Windows)
Classification: Unclassified
Component: default (show other bugs)
Version: 3.13.0
Hardware: PC Windows 7
: P3 normal
Assignee: users
URL:
Depends on:
Blocks:
 
Reported: 2015-11-08 16:50 CET by wazz
Modified: 2015-12-20 20:24 CET (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description wazz 2015-11-08 16:50:47 CET
After uninstalling a prior version and then installing version 3.13.0 of the Windows port,  the Bsfilter began marking everything as spam.  That is, I presume it is the Bsfilter.
Comment 1 Paul 2015-11-08 17:13:35 CET
you need to re-train it
Comment 2 Andrej Kacian 2015-11-08 18:50:55 CET
Also make sure that the path to the bsfilter program in plugin configuration is correct.
Comment 3 wazz 2015-11-13 13:33:48 CET
All emails except those from email addresses in my address book are being marked as spam.  It has been several days and I would think bsfitler should have retrained itself.  I have not moved bsfilterw.exe, and I get no errors indicating it cannot be found.

I have been using Claws for a long time, and done many upgrades which are usually just overwritten, but I have also done uninstalls and reinstalls, and never had a problem with the spam filtering.

This time, I have tried uninstalling, clearing Claws out of my registry and reinstalling.  So far, nothing has worked.
Comment 4 Paul 2015-11-13 13:45:05 CET
bsfilter will not train itself, you have to train bsfilter.
You have the "whitelist senders found in the address book" option set.
Comment 5 wazz 2015-11-13 14:13:38 CET
How do you train Bsfilter?   

I have marked as ham many emails that came in as spam, but similar emails keep coming in as spam.
Comment 6 wazz 2015-11-13 14:17:22 CET
Is there something different in this version?  I have never had these issues with spam filtering in the past, and I have been using the "standard" windows port of Claws for many years, upgrading several times.  "Standard" meaning using only theplugins that came with the windows port.
Comment 7 wazz 2015-12-02 15:42:24 CET
(In reply to comment #4)
> bsfilter will not train itself, you have to train bsfilter.
> You have the "whitelist senders found in the address book" option set.

I am still having the problem of pretty much every email not found in my address book marked as spam.

How do I "train" bsfilter.  I've been using Claws a long time, multiple versions, and never had to train bsfilter before.
Comment 8 wazz 2015-12-15 14:49:08 CET
Further details on the Bsfilter marking everything as spam:  I have just noticed that when I leave a folder where all the email (except from senders in my address book) are marked as spam to view another folder, then return to the original folder, the emails in the original folder are no longer marked as spam.

This is very odd behavior.  I do not know if it is a bug, or what.  I would really appreciate help in how to fix this, even if it means an absolutely clean uninstall of Claws and its plugins, and then a reinstall.  I am a big fan of Claws and have been using it for years.
Comment 9 Paul 2015-12-15 20:50:44 CET
Start Claws Mail with the --debug flag, and then reproduce this behaviour. Then attach the relevent parts of the debug log (or all of it) to this tracker. The debug log will be found here: %TEMP%\claws-win32.log
Comment 10 wazz 2015-12-16 01:58:33 CET
I spent an entire day trying to resolve this problem.  What I had to resort to was clearing out Claws, then reinstalling version 3.12 with GNU, then upgrading to 3.13.

HOWEVER this time i did NOT uninstall the prior version, as was recommenced by a pop-up dialog.  Said dialog mentions that GNU is no longer part of the Claws  package and recommends uninstalling the older Claws. Which is what i did the first time, and when my problems began.

In my trials and troubles attempting to diagnose the problem today, I found what may be a clue.  Perhaps Bsfilterw.exe requires some files that may have been deleted when the oldder Claws and GNU were uninstalled.  In particular iconv.dll, as I recall getting an error message regarding this at one point.
Comment 11 Andrej Kacian 2015-12-20 20:24:40 CET
It appears 3.13.0 really does not install iconv.dll, just libiconv-2.dll, which is the same file. I did not realize bsfilter needs it under iconv.dll filename. Sorry about that.

This will be fixed in 3.13.1 installer, hopefully later today or tomorrow.